Subject: Re: bug#23451: 25.0.93; Clarify the dependency on find/grep for platforms not having those tools

From: Dmitry Gutov <[email-masked]>
Date: Mon, 29 May 2017 03:07:01 +0300

On 5/4/16 9:02 PM, Kaushal Modi wrote:
> Another alternative would be (if we want to keep A/Q bindings) that a
> user-error or error be thrown if the correct external dependencies are not
> installed. The user should be let known that they need to install the GNU
> find/grep executables for their platform in order to use those commands.

I've made a step toward this in commit 3bc3dc4: if the status is not 
zero and the process made some output, we signal a user error with 
whatever output we have.

It's not exactly installation instructions, but it will at least tell 
the user that something is wrong.

Previously, I had some problems using this approach, but failed to 
document them properly. Let's see if someone manages to find them again. 
Hopefully, the only thing missing before was the (/= (point-min) 
(point-max)) check.